using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.BCR
{
    /// <summary>
    /// 读码器写入协议81
    /// </summary>
    [DataContract]
    public class WCS_BCR83 : IBCR83
    {
        [DataMember(Order = 0)]
        public short Index { get; set; }

        [DataMember(Order = 1)]
        public short LastIndex { get; set; }

        [DataMember(Order = 2)]
        [StringLength(50)]
        public string BcrCode { get; set; }

        [DataMember(Order = 3)]
        [StringLength(50)]
        public string BcrCode1 { get; set; }

        [DataMember(Order = 4)]
        [StringLength(50)]
        public string BcrCode2 { get; set; }

        [DataMember(Order = 5)]
        [StringLength(50)]
        public string BcrCode3 { get; set; }

        [DataMember(Order = 6)]
        [StringLength(50)]
        public string BcrCode4 { get; set; }

        [DataMember(Order = 7)]
        [StringLength(50)]
        public string BcrCode5 { get; set; }

        [DataMember(Order = 8)]
        [StringLength(50)]
        public string BcrCode6 { get; set; }

        [DataMember(Order = 9)]
        [StringLength(50)]
        public string BcrCode7 { get; set; }

        [DataMember(Order = 10)]
        [StringLength(50)]
        public string BcrCode8 { get; set; }

        [DataMember(Order = 11)]
        [StringLength(50)]
        public string BcrCode9 { get; set; }

        [DataMember(Order = 12)]
        [StringLength(50)]
        public string BcrCode10 { get; set; }

        [DataMember(Order = 13)]
        [StringLength(50)]
        public string BcrCode11 { get; set; }
    }
}
